Not compatible with 11.0. Rated 5 out of 5 stars

Not compatible with FF 11.0.

It works perfect Rated 5 out of 5 stars

This is one of my favorite FF add-ons.

It works perfect.